Subject: bug#69132: [ELPA] Remove jQuery from elpa.gnu.org

From: Dmitry Gutov <[email-masked]>
Date: Sun, 18 Feb 2024 16:24:21 +0200

On 18/02/2024 16:13, Stefan Monnier wrote:

> I understand that you can circumvent such resets, but if all web-pages
> need to start with a reset, then why don't all browsers start in the same
> default CSS state?

Same reason why we don't just have one browser that's developed for the 
good of everyone and satisfies everyone's wishes.

> In my world view, we should focus on the semantic content of our pages
> to let the renderer decide how best to present it.

Then you wouldn't have any CSS rules pertaining to size or color.

> In any case, it seems that the only reason we currently have a reset is
> so it looks the same everywhere.  If that's the case, I'm perfectly OK
> with Philip's removal of the reset, since I don't think we should aim
> for it to look the same everywhere (I'm pretty sure it won't look the
> same on paper or in audio or in braille as it does on my screen anyway).

Paper is a different medium. But there are dedicated selectors for it, 
if we were interested in defining that look.